=== debian/changelog ===
gtkcrypto (1.0.2-2) unstable; urgency=medium

  * debian/control: bump Standards-Version to 4.6.1.
  * debian/patches/002-fix-appstream-metainfo.patch: create to fix AppStream
    hints.
  * debian/watch: update the source address.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 22 Sep 2022 11:24:43 -0300

gtkcrypto (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2.
  * debian/patch/: updated 001 and removed patches 002 and 003.
  * d/watch: updated the search rule.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 09 Mar 2022 11:21:39 -0300

gtkcrypto (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1003217)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 06 Jan 2022 10:36:59 -0300
