=== debian/control ===
Source: gtkcrypto
Section: misc
Priority: optional
Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgcrypt20-dev,
               libgpgme-dev,
               libgtk-3-dev
Standards-Version: 4.6.1
Homepage: https://github.com/paolostivanin/GTKCrypto
Vcs-Browser: https://salsa.debian.org/debian/gtkcrypto
Vcs-Git: https://salsa.debian.org/debian/gtkcrypto.git
Rules-Requires-Root: no

Package: gtkcrypto
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ application for encrypting files and computing hashes
 GTKCrypto allows you to encrypt and sign files or text. Moreover, given a file,
 different types of hash can be computed and files can also be compared to check
 whether or not their content is the same.
 Supported cipher algorithms: AES, Twofish, Serpent and Camellia, all using 256
 bits key and operating in either CBC or CTR mode.
 Supported hash algorithms: MD5, SHA-1, SHA-2, SHA-3, GOST, Whirlpool.
