=== debian/watch ===
version=4
https://github.com/paolostivanin/GTKCrypto/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
